import { defineOperationApp } from "@directus/extensions-sdk";

export default defineOperationApp({
	id: "windmill",
	name: "swablab windmill",
	icon: "wind_power",
	description: "trigger a windmill action",
	overview: ({ instance, flow }) => [
		{
			label: "Instance",
			text: instance,
		},
		{
			label: "Flow",
			text: flow,
		},
	],
	options: [
		{
			field: "token",
			name: "Token",
			type: "string",
			meta: {
				width: "full",
				interface: "input",
				required: true,
				note: "See Vaultwarden",
				options: {
					masked: true
				}
			}
		},
		{
			field: "instance",
			name: "Instance",
			type: "string",
			meta: {
				width: "full",
				interface: 'select-dropdown',
				required: true,
				options: {
					choices: [
						{
							text: 'Directus',
							value: 'directus',
						},
						{
							text: 'Management',
							value: 'management',
						},
					],
				}
			},
		},
		{
			field: "flow",
			name: "Flow",
			type: "string",
			meta: {
				width: "full",
				interface: "input",
				required: true,
				note: "https://windmill.swablab.de/api/r/..."
			},
		},
	],
});
